### Function

# Gio dbus_is_supported_address

since: 2.26

#### Declaration [src]

    gboolean
    g_dbus_is_supported_address (
      const gchar* string,
      GError** error
    )

#### Description [src]

Like `g_dbus_is_address()` but also checks if the library supports the transports in `string` and that key/value pairs for each transport are valid. See the specification of the D-Bus address format.

Available since: 2.26

#### Parameters

`string`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `string` is a valid D-Bus address that is supported by this library, `FALSE` if `error` is set.